## charm 2.1.0

=== debian/changelog ===
charm (2.1.0-0ubuntu1) xenial; urgency=medium

  * Initial release (LP: #1546776).

 -- Marco Ceppi <marco@ceppi.net>  Mon, 11 Apr 2016 15:36:26 +0100
