=== debian/changelog ===
charm (2.1.1-0ubuntu1) xenial; urgency=medium

  * New upstream point release, resolving issues uploading
    charms directly to the charm store.

 -- Marco Ceppi <marco@ceppi.net>  Thu, 14 Apr 2016 14:16:54 +0100
