=== debian/control ===
Source: charm
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco Ceppi <marco@ceppi.net>
Build-Depends: debhelper (>= 9~),
               devscripts,
               golang-go (>= 2:1.2),
               lsb-release
Standards-Version: 3.9.7
Homepage: http://github.com/juju/charmstore-client

Package: charm
Architecture: any
Depends: distro-info, ${misc:Depends}, ${shlibs:Depends}
Breaks: charm-tools (<< 2.0)
Replaces: charm-tools (<< 2.0)
Recommends: charm-tools (>= 2.0), juju2 | juju
Description: Tool for publishing and maintaining Juju charms
 The charm command provides commands and tools for managing
 Juju charms in the Juju charm store.
