=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export GOPATH:=${CURDIR}
export PATH:=$(GOPATH)/bin:$(PATH)

%:
	dh $@

COMMON_FLAGS:= -x -v

override_dh_auto_install:
	go test $(COMMON_FLAGS) github.com/juju/charmstore-client/cmd/charm
	go install $(COMMON_FLAGS) github.com/juju/charmstore-client/cmd/charm

override_dh_auto_clean:
	rm -rf pkg bin
	dh_auto_clean

override_dh_clean:
	dh_clean -Xsrc/github.com/juju/xml

# Don't strip golang compiled binaries as this does
# not function correctly
override_dh_strip:
	:

override_dh_gencontrol:
	dh_gencontrol -- $(DB_DEP)
