## charm src

=== doc/bigsim/Makefile ===
# Stub makefile for LaTeX PPL manual
FILE	= manual
TEX	= $(FILE).tex install.tex emulator.tex bgapi.tex interpolation.tex

DEST	= bigsim
LATEX2HTML	= $(L2H) -split 5

include ../Makefile.common

index.tex:
	touch index.tex
